r1430 - trunk

DONOTREPLY at icculus.org DONOTREPLY at icculus.org
Sun Jul 20 13:42:34 EDT 2008


Author: zakk
Date: 2008-07-20 13:42:34 -0400 (Sun, 20 Jul 2008)
New Revision: 1430

Modified:
   trunk/make-macosx-ub.sh
Log:
Bug 3726
make-macosx-ub.sh error aborting and directory changing
Thanks to Ben Millwood.



Modified: trunk/make-macosx-ub.sh
===================================================================
--- trunk/make-macosx-ub.sh	2008-07-16 18:07:36 UTC (rev 1429)
+++ trunk/make-macosx-ub.sh	2008-07-20 17:42:34 UTC (rev 1430)
@@ -7,7 +7,6 @@
 DESTDIR=build/release-darwin-ub
 BASEDIR=baseq3
 MPACKDIR=missionpack
-Q3_VERSION=`grep '^VERSION=' Makefile | sed -e 's/.*=\(.*\)/\1/'`
 
 BIN_OBJ="
 	build/release-darwin-ppc/ioquake3-smp.ppc
@@ -33,10 +32,15 @@
 	build/release-darwin-ppc/$MPACKDIR/qagameppc.dylib
 	build/release-darwin-i386/$MPACKDIR/qagamei386.dylib
 "
+
+cd `dirname $0`
 if [ ! -f Makefile ]; then
-	echo "This script must be run from the ioquake3 build directory";
+	echo "This script must be run from the ioquake3 build directory"
+	exit 1
 fi
 
+Q3_VERSION=`grep '^VERSION=' Makefile | sed -e 's/.*=\(.*\)/\1/'`
+
 # We only care if we're >= 10.4, not if we're specifically Tiger.
 # "8" is the Darwin major kernel version.
 #TIGERHOST=`uname -r | grep ^8.`
@@ -123,6 +127,15 @@
 		-Wl,-syslibroot,/Developer/SDKs/MacOSX10.2.8.sdk,-m"
 fi
 
+if [ -z $PPC_CLIENT_SDK ] || [ -z $PPC_SERVER_SDK ] || [ -z $X86_SDK ]; then
+	echo "\
+ERROR: This script is for building a Universal Binary.  You cannot build
+       for a different architecture unless you have the proper Mac OS X SDKs
+       installed.  If you just want to to compile for your own system run
+       'make' instead of this script."
+	exit 1
+fi
+
 echo "Building PPC Dedicated Server against \"$PPC_SERVER_SDK\""
 echo "Building PPC Client against \"$PPC_CLIENT_SDK\""
 echo "Building X86 Client/Dedicated Server against \"$X86_SDK\""
@@ -135,15 +148,6 @@
          MacOSX10.2.8, MacOSX10.3.9, and MacOSX10.4u SDKs installed
          from the Xcode install disk Packages folder."
 fi
-
-if [ -z $PPC_CLIENT_SDK ] || [ -z $PPC_SERVER_SDK ] || [ -z $X86_SDK ]; then
-	echo "\
-ERROR: This script is for building a Universal Binary.  You cannot build
-       for a different architecture unless you have the proper Mac OS X SDKs
-       installed.  If you just want to to compile for your own system run
-       'make' instead of this script."
-	exit 1
-fi
 sleep 3
 
 if [ ! -d $DESTDIR ]; then




More information about the quake3-commits mailing list